Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::DiracException Class Reference

DiracException is the class which should be used for all exceptions within Dirac.

`#include <dirac_exception.h>`

List of all members.

## Public Member Functions

- DiracException (const DiracErrorCode &errorCode, const std::string &errorMessage, const DiracSeverityCode &severityCode)
    Construct from error source ID, error code, and message.
- DiracException (const DiracException &src)
    Copy constructor.
- virtual ~DiracException ()
    Destructor.
- DiracErrorCode GetErrorCode () const
    Get the error code of this exception.
- DiracSeverityCode GetSeverityCode () const
    Get the severity level of this exception.
- std::string GetErrorMessage () const
    Get the error message of this exception.

## Private Member Functions

- DiracException & operator= (const DiracException &)

## Private Attributes

- DiracErrorCode mErrorCode
    The error code of this exception.
- DiracSeverityCode mSeverityCode
    Severity of exception.
- std::string mErrorMessage
    The error message.

## Constructor & Destructor Documentation

dirac::DiracException::DiracException | ( | const DiracErrorCode & | errorCode,
|  | const std::string & | errorMessage,
|  | const DiracSeverityCode & | severityCode |
| ) |  |  |

Parameters:

  | errorCode | The error code.
  | errorMessage | The error message.
  | severityCode | The error source ID.

dirac::DiracException::DiracException | ( | const DiracException & | src | ) |

virtual dirac::DiracException::~DiracException | ( |  | ) | `[virtual]`

## Member Function Documentation

DiracErrorCode dirac::DiracException::GetErrorCode | ( |  | ) | const

Returns:
  The error code of this exception.

DiracSeverityCode dirac::DiracException::GetSeverityCode | ( |  | ) | const

Returns:
  The severity level of this exception.

std::string dirac::DiracException::GetErrorMessage | ( |  | ) | const

Returns:
  The error message of this exception.

DiracException& dirac::DiracException::operator= | ( | const DiracException & |  | ) | `[private]`

## Member Data Documentation

DiracErrorCode dirac::DiracException::mErrorCode`[private]`

DiracSeverityCode dirac::DiracException::mSeverityCode`[private]`

std::string dirac::DiracException::mErrorMessage`[private]`

The documentation for this class was generated from the following file:

- dirac_exception.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.